×
Kunena 5.2 RC 1 Released (25 Oct 2020)

The Kunena team is thrilled to announce the first public release candidate of Kunena 5.2, a native Joomla extension for Joomla 3.9. This is a development release and should be only be used for testing; this version is not recommended for live websites at this stage.

The purpose of this release is to encourage testing by downloading, installing and identifying any problems or shortcomings that people may discover. K 5.2.0 RC1 is stable and we are aware that people will discover defects. We encourage you to use the forum to report defects, as soon as they are discovered, so that the development team can work through the problems before the release of K 5.1 as a stable product. Reporting defects does not mean that the problems can or will be fixed. The Kunena team is looking forward to hearing your feedback on how well we have achieved our design goals.

× Topics must relate to a currently supported version of Kunena. If you are unsure what is the current supported version of Kunena, please go to the download page.

If you are having problems then, for your own benefit, it would save us all a lot of time if you would kindly post your configuration report when you ask for help from this forum. If you do not post your configuration report we will not ask you for it but you will probably not get your problem solved, either.

Question Kunena not working with PHP

More
5 months 1 week ago #1 by jjm
We are migrating from PHP 5.6 to 7.3

We have Joomla 3.6

We are currently on Kunena 4.0.11
Everything works when we upgrade to PHP 7.3 except for Kunena.

I guess we need to upgrade Kunena correct?

We don't want to upgrade Joomla if we don't have to. It causes problems elsewhere when we upgrade Joomla.
So my question: Is there a version of Kunena that works with PHP 7.3 AND also works with Joomla 3.6?

If so which one is it?

Thank you.

Please Log in or Create an account to join the conversation.

More
5 months 1 week ago #2 by rich
Replied by rich on topic Kunena not working with PHP
I think the current version will not work on Joomla 3.6 without errors.
The support for php 7 began with the Kunena 5.0 series and was compatible for Joomla 3.x. Which version exactly works for you, you must itself find out.
If you use an outdated version of Kunena it is your decision, but you get no support if you have problems during the installation or afterwards with it. It was a major upgrade and also the template Blue Eagle has been removed.
Here you find all versions: github.com/Kunena/Kunena-Forum/releases

Please Log in or Create an account to join the conversation.

More
5 months 1 week ago #3 by jjm
Replied by jjm on topic Kunena not working with PHP
Ok. Thank you we will upgrade to the most recent version of Kunena.

But we have a question.

An old web developer modified our look and feel of our old Kunena install.

We do not want the upgrade to install any new them, and we need it to keep all of the customizations we made to the old Kunena.

Can you tell me the best way to do this?

Thank You.

Please Log in or Create an account to join the conversation.

More
5 months 1 week ago #4 by rich
Replied by rich on topic Kunena not working with PHP

we need it to keep all of the customizations we made to the old Kunena.

I'm sorry, but that's not possible. The new Kunena template Crypsis has a complete other structure and adapts to your Joomla template style. After upgrade all CSS adaptions of Blue Eagle are obsolete and will not work with Crypsis. I can only recommend that you adapt the forum in a test installation beforehand.

Please Log in or Create an account to join the conversation.

More
5 months 1 week ago #5 by jjm
Replied by jjm on topic Kunena not working with PHP
Thank you.
Can I upgrade to the new version of Kunena? Or do I need to re-install?
I am on Kunena 4.0.11


These instructions:
www.kunena.org/docs/en/basics/upgrade

Don't list 4.0.11 as one I can upgrade from.
Thank you.

Please Log in or Create an account to join the conversation.

More
5 months 1 week ago #6 by rich
Replied by rich on topic Kunena not working with PHP

Don't list 4.0.11 as one I can upgrade from.

Thanks for this hint, this page need an update too. These steps work from very old versions until to upgrade to Kunena 4.0 series. In your case you have already installed Kunena 4.0.11 therefore you can install Kunena 5.x over it, and the upgrade should be run automatically.

Please Log in or Create an account to join the conversation.

More
5 months 3 days ago #7 by jjm
Replied by jjm on topic Kunena not working with PHP
Hello,
Thank you.
I saw that you updated the upgrade page.
For you information it still says I must have Kunena 4.0.12 before I can upgrade.
Can you confirm I only need 4.0.11?

Please Log in or Create an account to join the conversation.

More
5 months 2 days ago #8 by rich
Replied by rich on topic Kunena not working with PHP
In principle, it should work with all versions of the 4.0 series. But I've tested it only with 4.0.12 therefore I recommend this version.

Please Log in or Create an account to join the conversation.

More
5 months 2 days ago #9 by jjm
Replied by jjm on topic Kunena not working with PHP
Ok. I did the upgrade from 4.0.11 it worked fine.
Everything works, except for new Kunena menu is showing as raw HTML
I'll open another ticket about the CSS because maybe the answer will be helpful for someone else too.

Please Log in or Create an account to join the conversation.

More
5 months 2 days ago #10 by rich

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.117 seconds